<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.tuoheng.admin.mapper.TenantMapper">
    
    <resultMap type="com.tuoheng.admin.entity.Tenant" id="TenantResult">
        <result property="id"    column="id"    />
        <result property="name"    column="name"    />
        <result property="code"    column="code"    />
        <result property="username"    column="username"    />
        <result property="logo"    column="logo"    />
        <result property="portraitUrl"    column="portrait_url"    />
        <result property="pid"    column="pid"    />
        <result property="type"    column="type"    />
        <result property="phone"    column="phone"    />
        <result property="email"    column="email"    />
        <result property="provinceCode"    column="province_code"    />
        <result property="provinceName"    column="province_name"    />
        <result property="cityCode"    column="city_code"    />
        <result property="cityName"    column="city_name"    />
        <result property="districtCode"    column="district_code"    />
        <result property="districtName"    column="district_name"    />
        <result property="platformName"    column="platform_name"    />
        <result property="address"    column="address"    />
        <result property="intro"    column="intro"    />
        <result property="status"    column="status"    />
        <result property="note"    column="note"    />
        <result property="sort"    column="sort"    />
        <result property="createUser"    column="create_user"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateUser"    column="update_user"    />
        <result property="updateTime"    column="update_time"    />
        <result property="mark"    column="mark"    />
    </resultMap>

    <sql id="selectThTenantVo">
        select id, name, code, username, logo, portrait_url, pid, type, phone, email, province_code, province_name, city_code, city_name, district_code, district_name, platform_name, address, intro, status, note, sort, create_user, create_time, update_user, update_time, mark from th_tenant
    </sql>

</mapper>